unit XDOM_2_4_Reg;

  {$IFDEF WIN32}
    {$IFNDEF VER140}
      {$DEFINE MSWINDOWS}
    {$ENDIF}
  {$ENDIF}
  {$IFDEF WIN16}
    {$DEFINE MSWINDOWS}
  {$ENDIF}
  {$IFDEF VER140}
    {$DEFINE VER140+}
  {$ENDIF}
  {$IFDEF VER150}
    {$DEFINE VER140+}
  {$ENDIF}

interface
uses
  {$IFDEF MSWINDOWS}
    {$IFDEF VER140+} DesignIntf, DesignEditors,  // Delphi 7
    {$ELSE} DsgnIntf, {$ENDIF}
  {$ENDIF}
  {$IFDEF LINUX}
    DesignIntf, DesignEditors,
  {$ENDIF}
  XDOM_2_4_property_editor, XDOM_2_4, Classes;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('XDOM 2.4',[ TDomImplementation,
                             TXmlToDomParser,
                             TDomToXmlParser,
                             TDtdToASParser,
                             TDtdToCMParser,
                             TCMToASParser,
                             TCMToXmlParser,
                             TXmlStandardDocReader,
                             TXmlStandardDtdReader,
                             TXmlStandardDomReader,
                             TXmlStandardCMReader,
                             TXmlStandardHandler,
                             TXmlDistributor,
                             TXmlWFTestContentHandler,
                             TXmlWFTestDTDHandler,
                             TXmlDocBuilder,
                             TXmlASBuilder,
                             TXmlCMBuilder,
                             TXmlStreamBuilder ]);
  RegisterPropertyEditor(TypeInfo(TXmlHandlers),TXmlDistributor,'',THandlerListProperty);
end;

end.
